Bug 441783 - TB18c736f9 GroupSelector.py:352:_get_pix:GError: Failed to load image '/usr/share/pixmaps/comps/gnome-desktop.png': Fatal error in PNG image file: incorrect data check
Summary: TB18c736f9 GroupSelector.py:352:_get_pix:GError: Failed to load image '/usr/s...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
(Show other bugs)
Version: 8
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-10 02:47 UTC by Bill MacArthur
Modified: 2008-05-30 12:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 12:50:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill MacArthur 2008-04-10 02:47:47 UTC
Description of problem:
After installing audacity, the software updater responded with the 'summary' and
the following message before closing out:

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/pirut/GroupSelector.py", line 370, in
_categorySelected
    self._populateGroups(cat.groups, fbpix)
  File "/usr/lib/python2.5/site-packages/pirut/GroupSelector.py", line 383, in
_populateGroups
    pix = self._get_pix(fn)
  File "/usr/lib/python2.5/site-packages/pirut/GroupSelector.py", line 352, in
_get_pix
    pix = gtk.gdk.pixbuf_new_from_file(fn)
GError: Failed to load image '/usr/share/pixmaps/comps/gnome-desktop.png': Fatal
error in PNG image file: incorrect data check

Local variables in innermost frame:
self: <pirut.GroupSelector.GroupSelector instance at 0xc76064c>
imgsize: 24

How reproducible:
Not sure.

Additional info: The audacity program is available from the KDE menu anyway and
the program seems to be working.

Comment 1 Jeremy Katz 2008-04-10 04:21:35 UTC
What output do you get from 'rpm -V comps-extras'?

Comment 2 Bill MacArthur 2008-04-13 02:35:31 UTC
"rpm -V comps-extras" gives no output
"rpm -qa | grep comps" gives 'comps-extras-13-1'

Comment 3 Jeremy Katz 2008-05-28 19:42:26 UTC
Are you still seeing this problem?

Comment 4 Bill MacArthur 2008-05-30 03:35:05 UTC
I'm sorry, but after experiencing too many problems with Fedora, I went back to
Ubuntu.


Note You need to log in before you can comment on or make changes to this bug.